/// <reference types="react" />
import * as React from 'react';
import { ViewStyle } from 'react-native';
import { ButtonProps } from './Button';
export interface ToolbarProps {
    title: string;
    actions?: ToolbarAction[];
    toolbarHeight?: number;
    children?: JSX.Element;
    titleView?: JSX.Element;
    style?: ViewStyle;
}
export interface ToolbarAction extends ButtonProps {
    title: string;
    onPress: () => void;
}
export interface State {
}
export default class Toolbar extends React.Component<ToolbarProps, State> {
    render(): JSX.Element;
}
