import { AppTheme } from './Theme';
export interface ThemeDefaultVars {
    darkMode: boolean;
    defaultColor: string;
    primaryColor: string;
    dangerColor: string;
    warningColor: string;
    infoColor: string;
    successColor: string;
    textShadowColor: string;
    shadowColor: string;
    textColor: string;
    textSecondaryColor: string;
    textActiveColor: string;
    textActiveSecondaryColor: string;
    backgroundColor: string;
    backgroundSecondaryColor: string;
    borderColor: string;
    borderSecondaryColor: string;
}
export default class ThemeBuilder {
    static allowShadow(): boolean;
    static build(defaults: ThemeDefaultVars): AppTheme;
}
