"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ThemeBuilder_1 = require("../ThemeBuilder");
var defaults = {
    darkMode: false,
    defaultColor: '#efefef',
    primaryColor: '#7367F0',
    dangerColor: '#EA5455',
    warningColor: '#F8D800',
    infoColor: '#0396FF',
    successColor: '#28C76F',
    textShadowColor: '#000',
    shadowColor: '#000',
    textColor: '#525252',
    textSecondaryColor: '#999',
    textActiveColor: '#fff',
    textActiveSecondaryColor: 'rgba(255,255,255,0.7)',
    backgroundColor: '#fff',
    backgroundSecondaryColor: '#f4f4f4',
    borderColor: '#d4d4d4',
    borderSecondaryColor: '#e9e9e9'
};
var theme = ThemeBuilder_1.default.build(defaults);
exports.default = theme;
