/// <reference types="react" />
import * as React from 'react';
import { Dimensions, Orientation } from '../../../modules/listener/Screen';
export interface Props {
}
export interface State {
    size: string;
    orientation: string;
}
export default class ScreenScene extends React.Component<Props, State> {
    state: {
        size: string;
        orientation: string;
    };
    onDimensionsChangeListener: string;
    onOrientationChangeListener: string;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onDimensionsChange(size: Dimensions): void;
    onOrientationChange(orientation: Orientation): void;
    getData(): void;
    render(): JSX.Element;
}
