/// <reference types="react" />
import * as React from 'react';
import ModalCenter from '../../../components/ui/ModalCenter';
import { ConfirmModal, Modal } from '../../../components/ui/ModalItem';
import { ActionModal } from '../../../components/ui/ModalActionItem';
export interface Props {
}
export interface State {
    value: string;
}
export default class ModalCenterScene extends React.Component<Props, State> {
    state: {
        value: string;
    };
    refs: {
        [string: string]: any;
        center: ModalCenter;
    };
    componentDidMount(): Promise<void>;
    componentWillUnmount(): void;
    showDefault(options?: Modal): void;
    showConfirm(options?: ConfirmModal): void;
    showAction(options?: ActionModal): void;
    render(): JSX.Element;
}
