/// <reference types="react" />
import * as React from 'react';
import Input from '../../../components/ui/Input';
export interface Props {
}
export interface State {
    isLoading: boolean;
    isLogged: boolean;
    value: string;
}
export default class SessionScene extends React.Component<Props, State> {
    state: {
        isLoading: boolean;
        isLogged: boolean;
        value: string;
    };
    refs: {
        [string: string]: any;
        username: Input;
        password: Input;
    };
    onSuccessLoginListener: string;
    componentDidMount(): void;
    componentWillUnmount(): void;
    onSuccessLogin(data: any): void;
    goToMain(): void;
    onLogin(): Promise<void>;
    render(): JSX.Element;
}
